<?php
session_start();
if (isset($_SESSION['user_id'])) {
    header('Location: dashboard.php');
    exit;
}

include 'includes/db_connect.php';

$error = '';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username = $_POST['username'];
    $password = $_POST['password'];
    
    // 简单验证 - 实际应用中应该使用密码哈希
    $stmt = $pdo->prepare("SELECT id, username FROM users WHERE username = ? AND password = ?");
    $stmt->execute([$username, $password]);
    $user = $stmt->fetch();
    
    if ($user) {
        $_SESSION['user_id'] = $user['id'];
        $_SESSION['username'] = $user['username'];
        header('Location: dashboard.php');
        exit;
    } else {
        $error = '用户名或密码错误！';
    }
}
?>

<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>工地记账系统 - 登录</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <form method="post" style="max-width: 500px; margin: 100px auto;">
            <h2 style="text-align: center;">工地记账系统</h2>
            <?php if ($error): ?>
                <div style="color: red; text-align: center; margin-bottom: 15px;"><?php echo $error; ?></div>
            <?php endif; ?>
            <label for="username">用户名</label>
            <input type="text" id="username" name="username" required>
            
            <label for="password">密码</label>
            <input type="password" id="password" name="password" required>
            
            <input type="submit" value="登录">
        </form>
    </div>
</body>
</html>